/*
 * CounterBlinker-W8.c
 *
 * Created: 3/16/2019 10:11:51 AM
 * Author : user
 */ 

#define F_CPU 20000000UL // 20 MHz
#include <avr/io.h>
#include <util/delay.h>

#define LED_ON PORTB |= (1<<PB2)
#define LED_OFF PORTB &= ~(1<<PB2)
#define BUTTON_PRESSED !(PINA & (1<<PINA7))


int main(void)
{
	/* Define directions for port pins */
	DDRB |= (1<<DDB2);
	DDRA &= ~(1<<DDA7);
	int counter = 0;
	
    while (1) 
    {
		if (BUTTON_PRESSED)
		{
			counter++;
			for (int i=0; i<counter; i++)
			{
				LED_ON;
				_delay_ms(250);
				LED_OFF;
				_delay_ms(250);
			}
		}
		
    }
}

